org.jCharts.properties

## Class ChartProperties

- java.lang.Object
- - org.jCharts.properties.Properties
  - - org.jCharts.properties.AreaProperties
    - - org.jCharts.properties.ChartProperties

All Implemented Interfaces:
  Serializable, HTMLTestable

    public class ChartProperties
    extends AreaProperties
    implements HTMLTestable

See Also:
  Serialized Form

### Field Summary

Fields
`ChartFont` `titleChartFont`
`private float` `titlePadding`
`private boolean` `validate`

### Fields inherited from class org.jCharts.properties.Properties

`DEFAULT_BACKGROUND_PAINT`

### Constructor Summary

Constructors
Constructor and Description
`ChartProperties()`

### Method Summary

Methods
`ChartFont` `getTitleFont()`
`float` `getTitlePadding()` Returns the number of pixels between the Chart Title and the axis plot area
`void` `setTitleFont(ChartFont titleFont)`
`void` `setTitlePadding(float pixels)`
`void` `setValidate(boolean validate)` Toggles the validation of data and properties for the charts.
`void` `toHTML(HTMLGenerator htmlGenerator)` Enables the testing routines to display the contents of this Object.
`boolean` `validate()`

### Methods inherited from class org.jCharts.properties.AreaProperties

`getBorderStroke, getEdgePadding, setBorderStroke, setEdgePadding`

### Methods inherited from class org.jCharts.properties.Properties

`getBackgroundPaint, setBackgroundPaint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### titleChartFont

    public ChartFont titleChartFont

#### titlePadding

    private float titlePadding

#### validate

    private boolean validate

### Constructor Detail

#### ChartProperties

    public ChartProperties()

### Method Detail

#### getTitleFont

    public ChartFont getTitleFont()

Returns:
  ChartFont

#### setTitleFont

    public void setTitleFont(ChartFont titleFont)

#### getTitlePadding

    public float getTitlePadding()

Returns the number of pixels between the Chart Title and the axis plot area

Returns:
  float

#### setTitlePadding

    public void setTitlePadding(float pixels)

#### validate

    public boolean validate()

Returns:
  boolean
Since:
  0.7.0

#### setValidate

    public void setValidate(boolean validate)

Toggles the validation of data and properties for the charts. This should be false for production systems as it will run slightly faster. Anything for speed, right? ;)

Parameters:
  `validate` -
Since:
  0.7.0

#### toHTML

    public void toHTML(HTMLGenerator htmlGenerator)

Enables the testing routines to display the contents of this Object.

Specified by:
  `toHTML` in interface `HTMLTestable`
Overrides:
  `toHTML` in class `AreaProperties`
Parameters:
  `htmlGenerator` -